package android_serialport_api;


import java.text.SimpleDateFormat;

/**
 * 串口数据
 */
public class ComBean {
    private byte[] bRec = null;
    private String sRecTime = "";
    private String sComPort = "";

    public ComBean(String sPort, byte[] buffer, int size) {
        sComPort = sPort;
        bRec = new byte[size];
        for (int i = 0; i < size; i++) {
            bRec[i] = buffer[i];
        }
        SimpleDateFormat sDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        sRecTime = sDateFormat.format(new java.util.Date());
    }

    public byte[] getbRec() {
        return bRec;
    }

    public String getsRecTime() {
        return sRecTime;
    }

    public String getsComPort() {
        return sComPort;
    }

}